<?php
/**
 * Convertidor de unidades - convertir3.php
 * 
 * @author    Bartolomé Sintes Marco <bartolome.sintes+mclibre@gmail.com>
 * @copyright 2011 Bartolomé Sintes Marco
 * @license   http://www.gnu.org/licenses/agpl.txt AGPL 3 or later
 * @version   2011-08-31
 * @link      http://www.mclibre.org
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

include('funciones.php');
$db = conectaDb();
cabecera('Convertir 3', MENU_2, CABECERA_SIN_CURSOR);

$unidad1 = recogeParaConsulta($db, 'unidad1');
$unidad1 = quitaComillasExteriores($unidad1);
$unidad2 = recogeParaConsulta($db, 'unidad2');
$unidad2 = quitaComillasExteriores($unidad2);
$numero  = recogeParaConsulta($db, 'numero');
$numero  = quitaComillasExteriores($numero);
$numeroOk = FALSE;

if ($numero=="") {
    print "<p style=\"color: red\">No ha escrito el valor a convertir.</p>\n";
} elseif (!is_numeric($numero)) { 
    print "<p style=\"color: red\">No ha escrito el valor a convertir como número.</p>\n";
} else {
	$numeroOk = TRUE;
}

if ($numeroOk) {
    $consulta = "SELECT COUNT(*) FROM $dbTabla 
        WHERE unidad1='$unidad1'
        AND unidad2='$unidad2'";
    $result = $db->query($consulta);
    if (!$result) {
        print "<p>Error en la consulta.</p>\n";
    } elseif ($result->fetchColumn()==0) {
        print "<p>No se ha creado todavía ningún registro.</p>\n";
    } else {
        $consulta = "SELECT * FROM $dbTabla 
            WHERE unidad1='$unidad1'
            AND unidad2='$unidad2'";
        $result2 = $db->query($consulta);
        if (!$result2) {
            print "<p>Error en la consulta.</p>\n";    
        } else {
            $valor = $result2->fetch();
            $resultado = $numero*$valor['valor2']/$valor['valor1'];
            print "<p>$numero $unidad1 = $resultado $unidad2</p>\n";
        }
    }
}
$db = NULL;
pie();
?>
